## org.eclipse.datatools.sqltools.schemaobjecteditor.ui.action
Class RefreshSchemaEditorAction.RefreshSchemaEditorJob

    java.lang.Object
      org.eclipse.core.runtime.PlatformObject
          org.eclipse.core.internal.jobs.InternalJob
              org.eclipse.core.runtime.jobs.Job
                  org.eclipse.datatools.sqltools.schemaobjecteditor.ui.action.RefreshSchemaEditorAction.RefreshSchemaEditorJob

All Implemented Interfaces:
  java.lang.Comparable, org.eclipse.core.runtime.IAdaptable

Enclosing class:
  RefreshSchemaEditorAction

    public static class RefreshSchemaEditorAction.RefreshSchemaEditorJob

extends org.eclipse.core.runtime.jobs.Job

Field Summary

Fields inherited from class org.eclipse.core.runtime.jobs.Job
`ASYNC_FINISH, BUILD, DECORATE, INTERACTIVE, LONG, NONE, RUNNING, SHORT, SLEEPING, WAITING`

Constructor Summary
`RefreshSchemaEditorAction.RefreshSchemaEditorJob(java.lang.String name, ISchemaObjectEditorHandler handler)`

Method Summary

Methods inherited from class org.eclipse.core.runtime.jobs.Job
`addJobChangeListener, belongsTo, cancel, done, getJobManager, getName, getPriority, getProperty, getResult, getRule, getState, getThread, isBlocking, isSystem, isUser, join, removeJobChangeListener, schedule, schedule, setName, setPriority, setProgressGroup, setProperty, setRule, setSystem, setThread, setUser, shouldRun, shouldSchedule, sleep, toString, wakeUp, wakeUp, yieldRule`

Methods inherited from class org.eclipse.core.internal.jobs.InternalJob
`compareTo`

Methods inherited from class org.eclipse.core.runtime.PlatformObject
`getAdapter`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Constructor Detail

### RefreshSchemaEditorAction.RefreshSchemaEditorJob

    public RefreshSchemaEditorAction.RefreshSchemaEditorJob(java.lang.String name,
                                                            ISchemaObjectEditorHandler handler)